What do I need in order to start using mashme.io?

To start using mashme.io you need to have:

  • An updated Google Chrome (current and two previous versions), Mozilla Firefox (Quantum version or above) or Opera browsers (current and two previous versions).

  • A device with Internet access.

  • Headphones or speakers, microphone and webcam.


If you access mashme.io through an Android device, we also offer support on the latest browser versions Google Chrome, Mozilla Firefox and Opera.